Sun Phigs+ Renderer Driver
-----------------------------

File: sphigs_ren.c

Renderer: Sun Phigs+

Primitives:
	Intrinsic:
		polygon, polyline, polymarker, triangle strip, mesh
	Emulated:
		sphere, cylinder, torus, Bezier patch

Attributes: color, backcull, text-height, material

Lights: light, ambient light

Camera handling: complete.

Auxiliary functions:  ren_free, ren_dump, ren_setup, ren_reset, ren_shutdown.

Hooks:  none

Comments:
	This 'renderer' is actually an interface into the Sun's
	version of Phigs+.  Significant porting will probably be
	needed to get it to work with anyone else's Phigs+.

	The object is defined within Phigs at definition time;
	traversal is carried out there.  Lighting traversal is
	done within the renderer, and a set of lights are constructed
	which are applied to the object at rendering time.

	This renderer has been tested on Sun workstations under Sun
	Phigs.  The following correspondence exists between the value 
	of p3d-device at startup time and the Phigs workstation type used:

	p3d-device	workstation type		conection id

     "sun_tool"		phigs_ws_type_sun_tool		ignored
     "sun_canvas"	phigs_ws_type_sun_canvas	phigs_conn_id (global)
     "cgm"		phigs_ws_type_cgm_out		p3d-outfile or
								phigs_ren.cgm

Known bugs:
	This renderer shows some quirks in lighting meshes.  I am not
	sure if this is the fault of the renderer or of Sun Phigs+.





